Index: branches/2.0-beta1/include/Pacpus/PacpusTools/AsyncWorkerBase.h
===================================================================
--- branches/2.0-beta1/include/Pacpus/PacpusTools/AsyncWorkerBase.h	(revision 89)
+++ branches/2.0-beta1/include/Pacpus/PacpusTools/AsyncWorkerBase.h	(revision 162)
@@ -16,46 +16,49 @@
 
 //#include <boost/noncopyable.hpp>
+#include <Pacpus/PacpusTools/PacpusToolsConfig.h>
 #include <QObject>
 
 namespace pacpus
 {
-  /**
-   * @brief A simple base class for asynchronous workers able to partake in the
-   * Qt slot / signal mechanism
-   *
-   * This class represents an asynchronous event-based worker able to receive and
-   * send Qt signals to other workers or threads. The rationale is to be able to
-   * define stateful objects that perform calculations asynchronously, triggered
-   * by external user-defined messages.
-   */
-  class AsyncWorkerBase
+
+/// A simple base class for asynchronous workers able to partake in the
+/// Qt slot / signal mechanism
+///
+/// This class represents an asynchronous event-based worker able to receive and
+/// send Qt signals to other workers or threads. The rationale is to be able to
+/// define stateful objects that perform calculations asynchronously, triggered
+/// by external user-defined messages.
+class PACPUSTOOLS_API AsyncWorkerBase
     : public QObject
     //, private boost::noncopyable
-  {
+{
     Q_OBJECT
-      Q_DISABLE_COPY(AsyncWorkerBase)
-    public:
-      /** Constructor. */
+    Q_DISABLE_COPY(AsyncWorkerBase)
+
+public:
+    /// Constructor.
       AsyncWorkerBase();
 
-      /** Destructor. */
-      virtual ~AsyncWorkerBase();
+    /// Destructor.
+    virtual ~AsyncWorkerBase();
 
-      /** Starts the worker by creating a new thread for it, and calling the setup() virtual method. */
-      void start();
+    /// Starts the worker by creating a new thread for it, and calling the setup() virtual method. */
+    void start();
 
-      /** Terminates the worker as soon as there are no more requests pending and its current processing
-       *  is finished.
-       *
-       *	This method tries to end the worker gracefully. All pending signals sent before the stop() request will
-       *	be honored.
-       *	It is safe to call this method from any thread.
-       *
-       *  @param autoDelete if true, deletes the worker as soon as its event loop has finished processing.
-       */
-      void stop(bool autoDelete);
+    /// Terminates the worker as soon as there are no more requests pending and its current processing
+    /// is finished.
+    ///
+    /// This method tries to end the worker gracefully. All pending signals sent before the stop() request will
+    /// be honored.
+    /// It is safe to call this method from any thread.
+    ///
+    ///  @param autoDelete if true, deletes the worker as soon as its event loop has finished processing.
+    void stop(bool autoDelete);
 
-      /** Returns true if the worker is active. */
-      bool isActive() const { return active_; }
+    /// @returns @b true if the worker is active, @b false otherwise.
+    bool isActive() const
+    {
+        return active_;
+    }
 
     Q_SIGNALS:
@@ -73,5 +76,5 @@
        virtual void cleanup();
 
-       /** Returns true if the worker is stopping. */
+    /// Returns true if the worker is stopping.
        bool isStopping() const { return stopping_; }
 
@@ -83,10 +86,9 @@
 
     private:
-      /*! \brief Ends the worker, asking the underlying thread to terminate
-       *
-       * This method signals the end of processing and requests the underlying thread to terminate. Actual termination
-       * will occur as soon as all pending signals (including those that may come from other workers during the
-       * finish request handling) have been processed.
-       */
+    /// Ends the worker, asking the underlying thread to terminate
+    ///
+    /// This method signals the end of processing and requests the underlying thread to terminate. Actual termination
+    /// will occur as soon as all pending signals (including those that may come from other workers during the
+    /// finish request handling) have been processed.
       void finish();
 
@@ -95,4 +97,5 @@
       bool stopping_;
   };
+
 } // namespace pacpus
 
